<template>
  <v-flex xs12>
    <v-card>
      <v-card-title primary-title>
        {{item.name || 'name'}} - last execute: {{item.time || new Date() |dtime()}}
      </v-card-title>
      <v-divider light></v-divider>
      <v-card-text style="background-color:rgba(0,0,0,0.15)">
        <v-container grid-list-md>
          <v-layout>
            <v-flex xs3>
              <v-card dark>
                <v-card-text>
                  BT profit in total: 25%
                </v-card-text>
              </v-card>
            </v-flex>
            <v-flex xs3>
              <v-card dark>
                <v-card-text>
                  BT profit in yearly: 25%
                </v-card-text>
              </v-card>
            </v-flex>
            <v-flex xs3>
              <v-card dark>
                <v-card-text>
                  base profit in total: 25%
                </v-card-text>
              </v-card>
            </v-flex>
            <v-flex xs3>
              <v-card dark>
                <v-card-text>
                  base profit in yearly: 25%
                </v-card-text>
              </v-card>
            </v-flex>
          </v-layout>
        </v-container>
      </v-card-text>
      <v-divider light></v-divider>
      <v-card-actions>
        {{item.code||'code'}}
        <v-spacer></v-spacer>
        <v-btn color="info" @click="skipDetail(item.id)">
          Show Detail
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-flex>
</template>
<script>
export default {
  props: {
    item: {
      type: Object,
      default: () => {
        return {}
      }
    }
  },
  methods: {
    skipDetail (id = Math.ceil(Math.random() * 10)) {
      this.$router.push('/backtest/' + id)
    }
  }
}
</script>
